<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shcd.mapper.ShipLockStatisticMapper">

    <resultMap id="BaseResultMap" type="com.shcd.entity.ShipLockStatistic">
            <id property="pkId" column="PK_ID" jdbcType="VARCHAR"/>
            <result property="dtDate" column="DT_DATE" jdbcType="TIMESTAMP"/>
            <result property="nmDownOutsideShip" column="NM_DOWN_OUTSIDE_SHIP" jdbcType="DECIMAL"/>
            <result property="nmDownOutsideWeight" column="NM_DOWN_OUTSIDE_WEIGHT" jdbcType="DECIMAL"/>
            <result property="nmPassShip" column="NM_PASS_SHIP" jdbcType="DECIMAL"/>
            <result property="nmPassWeight" column="NM_PASS_WEIGHT" jdbcType="DECIMAL"/>
            <result property="nmTotalLock" column="NM_TOTAL_LOCK" jdbcType="DECIMAL"/>
            <result property="nmUpInsideShip" column="NM_UP_INSIDE_SHIP" jdbcType="DECIMAL"/>
            <result property="nmUpInsideWeight" column="NM_UP_INSIDE_WEIGHT" jdbcType="DECIMAL"/>
    </resultMap>

    <sql id="Base_Column_List">
        PK_ID,DT_DATE,NM_DOWN_OUTSIDE_SHIP,
        NM_DOWN_OUTSIDE_WEIGHT,NM_PASS_SHIP,NM_PASS_WEIGHT,
        NM_TOTAL_LOCK,NM_UP_INSIDE_SHIP,NM_UP_INSIDE_WEIGHT
    </sql>
</mapper>
